function Resulter;

global MatrixIn;
global ValueCount numdev
global Devices 
global systime alltimeinqueue alltimeatwork TimeCount muA muS
global amountinqueue amountinwork amountinsystem
global sysusing averagedelay averagewait averagequeueamount averagesysamount

sysusing = alltimeatwork/(numdev*systime);

averagedelay = alltimeinqueue/ValueCount;

sum = 0;
for i=2:length(MatrixIn)
    sum = sum + MatrixIn(2,i);
end;

muA = sum/(length(MatrixIn)-1);

sum = 0;
for i=1:length(MatrixIn)
    sum = sum + MatrixIn(3,i);
end;

muS = sum/length(MatrixIn);

averagewait = averagedelay + muS;

averagequeueamount = averagedelay/muA;

averagesysamount = averagewait/muA;

amountinsystem = amountinqueue + amountinwork;
